// This file was generated by gir (https://github.com/gtk-rs/gir)
// from
// from gir-files (https://github.com/gtk-rs/gir-files.git)
// DO NOT EDIT

mod compass;
pub use self::compass::Compass;

mod coordinate;
pub use self::coordinate::Coordinate;

mod data_source;
pub use self::data_source::DataSource;

#[cfg(feature = "v1_1")]
#[cfg_attr(docsrs, doc(cfg(feature = "v1_1")))]
mod data_source_request;
#[cfg(feature = "v1_1")]
#[cfg_attr(docsrs, doc(cfg(feature = "v1_1")))]
pub use self::data_source_request::DataSourceRequest;

mod file_cache;
pub use self::file_cache::FileCache;

mod layer;
pub use self::layer::Layer;

mod license;
pub use self::license::License;

mod location;
pub use self::location::Location;

mod map;
pub use self::map::Map;

mod map_layer;
pub use self::map_layer::MapLayer;

mod map_source;
pub use self::map_source::MapSource;

mod map_source_registry;
pub use self::map_source_registry::MapSourceRegistry;

mod marker;
pub use self::marker::Marker;

mod marker_layer;
pub use self::marker_layer::MarkerLayer;

mod path_layer;
pub use self::path_layer::PathLayer;

mod point;
pub use self::point::Point;

mod raster_renderer;
pub use self::raster_renderer::RasterRenderer;

mod scale;
pub use self::scale::Scale;

mod simple_map;
pub use self::simple_map::SimpleMap;

#[cfg(feature = "v1_1")]
#[cfg_attr(docsrs, doc(cfg(feature = "v1_1")))]
mod symbol_event;
#[cfg(feature = "v1_1")]
#[cfg_attr(docsrs, doc(cfg(feature = "v1_1")))]
pub use self::symbol_event::SymbolEvent;

mod tile;
pub use self::tile::Tile;

mod tile_downloader;
pub use self::tile_downloader::TileDownloader;

#[cfg(feature = "v1_2")]
#[cfg_attr(docsrs, doc(cfg(feature = "v1_2")))]
mod vector_reader;
#[cfg(feature = "v1_2")]
#[cfg_attr(docsrs, doc(cfg(feature = "v1_2")))]
pub use self::vector_reader::VectorReader;

#[cfg(feature = "v1_2")]
#[cfg_attr(docsrs, doc(cfg(feature = "v1_2")))]
mod vector_reader_iter;
#[cfg(feature = "v1_2")]
#[cfg_attr(docsrs, doc(cfg(feature = "v1_2")))]
pub use self::vector_reader_iter::VectorReaderIter;

mod vector_renderer;
pub use self::vector_renderer::VectorRenderer;

#[cfg(feature = "v1_1")]
#[cfg_attr(docsrs, doc(cfg(feature = "v1_1")))]
mod vector_sprite;
#[cfg(feature = "v1_1")]
#[cfg_attr(docsrs, doc(cfg(feature = "v1_1")))]
pub use self::vector_sprite::VectorSprite;

#[cfg(feature = "v1_1")]
#[cfg_attr(docsrs, doc(cfg(feature = "v1_1")))]
mod vector_sprite_sheet;
#[cfg(feature = "v1_1")]
#[cfg_attr(docsrs, doc(cfg(feature = "v1_1")))]
pub use self::vector_sprite_sheet::VectorSpriteSheet;

mod viewport;
pub use self::viewport::Viewport;

mod enums;
pub use self::enums::FileCacheError;
#[cfg(feature = "v1_2")]
#[cfg_attr(docsrs, doc(cfg(feature = "v1_2")))]
pub use self::enums::GeometryType;
pub use self::enums::MapProjection;
pub use self::enums::State;
pub use self::enums::StyleError;
pub use self::enums::TileDownloaderError;
pub use self::enums::Unit;

pub(crate) mod functions;

mod constants;
pub use self::constants::MAP_SOURCE_MFF_RELIEF;
pub use self::constants::MAP_SOURCE_OSM_CYCLE_MAP;
pub use self::constants::MAP_SOURCE_OSM_MAPNIK;
pub use self::constants::MAP_SOURCE_OSM_TRANSPORT_MAP;
pub use self::constants::MAP_SOURCE_OWM_CLOUDS;
pub use self::constants::MAP_SOURCE_OWM_PRECIPITATION;
pub use self::constants::MAP_SOURCE_OWM_PRESSURE;
pub use self::constants::MAP_SOURCE_OWM_TEMPERATURE;
pub use self::constants::MAP_SOURCE_OWM_WIND;

pub(crate) mod traits {
    pub use super::data_source::DataSourceExt;
    #[cfg(feature = "v1_1")]
    #[cfg_attr(docsrs, doc(cfg(feature = "v1_1")))]
    pub use super::data_source_request::DataSourceRequestExt;
    pub use super::layer::LayerExt;
    pub use super::location::LocationExt;
    pub use super::map_source::MapSourceExt;
    pub use super::marker::MarkerExt;
}
pub(crate) mod builders {
    pub use super::compass::CompassBuilder;
    pub use super::coordinate::CoordinateBuilder;
    #[cfg(feature = "v1_1")]
    #[cfg_attr(docsrs, doc(cfg(feature = "v1_1")))]
    pub use super::data_source_request::DataSourceRequestBuilder;
    pub use super::file_cache::FileCacheBuilder;
    pub use super::license::LicenseBuilder;
    pub use super::map::MapBuilder;
    pub use super::map_layer::MapLayerBuilder;
    pub use super::marker::MarkerBuilder;
    pub use super::marker_layer::MarkerLayerBuilder;
    pub use super::path_layer::PathLayerBuilder;
    pub use super::point::PointBuilder;
    pub use super::raster_renderer::RasterRendererBuilder;
    pub use super::scale::ScaleBuilder;
    pub use super::simple_map::SimpleMapBuilder;
    #[cfg(feature = "v1_1")]
    #[cfg_attr(docsrs, doc(cfg(feature = "v1_1")))]
    pub use super::symbol_event::SymbolEventBuilder;
    pub use super::tile::TileBuilder;
    pub use super::vector_renderer::VectorRendererBuilder;
    #[cfg(feature = "v1_1")]
    #[cfg_attr(docsrs, doc(cfg(feature = "v1_1")))]
    pub use super::vector_sprite::VectorSpriteBuilder;
    pub use super::viewport::ViewportBuilder;
}
